Skip to content

Regions

Regions, also referred to as datacenters, play a key role in our services, as they determine the geographic location of the servers we are going to create. In case it is not possible to create a server in a particular region, changing datacenters could solve the problem of lack of resources.

All Regions.

To find out which regions are available there is the following request:

HTTP Request

GET /ecs/v2/regions

HTTP Response

{
    "status": "ok",
    "regions": [
        {
            "location": "ch-lug1",  #region code
            "description": "Lugano" #region label
        },
        {
            "location": "hr-zag1",
            "description": "Zagabria"
        },
        {
            "location": "it-fr2",
            "description": "Frosinone"
        },
        {
            "location": "it-mi2",
            "description": "Milano"
        }
    ]
}

Available regions.

Of course, certain plans may not be available in all regions; to check the availability of a plan in a particular region you can use the following request:

HTTP Request

POST /ecs/v2/regions/availables
{
  "plan": "ECS6",
  "image": "ubuntu-2404"     #optional
}

Field Required Description
plan yes Plan name
image no Name of the image you want to create the server with

The image field is optional but recommended: with an image, availability is computed with the same criteria as the server creation (for example, a UEFI image requires a host that supports UEFI). Without image a region may be listed as available even if it is available only for some images.

HTTP Response

{
    "status": "ok",
    "regions": [
        ["it-fr2"]    #regions available for this plan
    ]
}

If no region is available regions is an empty list ([]). If the given image does not exist the response is 400 with message Image not exists.

Warning

If you try to create a server in a region that is not available for the chosen plan and image, the request is rejected with a 400 error (region <region> not available for plan <plan>). To avoid it, check availability passing image too.